package ln

import (
	"net/http"
)

func InvoiceHttpCode(invoice *Invoice) int {
	if invoice.Expired {
		return http.StatusGone
	}

	if invoice.Status == "unpaid" {
		return http.StatusPaymentRequired
	}

	return http.StatusOK

}
